<nav class="homepage-navbar">
    <h4>PokeAdmin</h4>
    <button mat-icon>Logout</button>

</nav>

<body class="homepage-body">
    <button class="add-btn btn" (click)="openDialog()">Add</button>
    <table mat-table class="pokeTable" [dataSource]="pokeData">

        <ng-container  matColumnDef="name">
            <th mat-header-cell class='table-col' *matHeaderCellDef>Name</th>
            <td mat-cell class='table-col' *matCellDef="let pokeData">{{pokeData.name}}</td>
        </ng-container>

        <ng-container  matColumnDef="type">
            <th mat-header-cell class='table-col' *matHeaderCellDef>Type</th>
            <td mat-cell class='table-col' *matCellDef="let pokeData">{{pokeData.type}}</td>
        </ng-container>

        <ng-container class='table-col' matColumnDef="level">
            <th mat-header-cell  class='table-col' *matHeaderCellDef>Level</th>
            <td mat-cell class='table-col' *matCellDef="let pokeData">{{pokeData.level}}</td>
        </ng-container>

        <ng-container  matColumnDef="dateCreated">
            <th mat-header-cell class='table-col' *matHeaderCellDef>Date Created</th>
            <td mat-cell class='table-col' *matCellDef="let pokeData">{{pokeData.dateCreated | dateConvertor}}</td>
        </ng-container>

        <ng-container  matColumnDef="dateUpdated">
            <th mat-header-cell class='table-col' *matHeaderCellDef>Date Updated</th>
            <td mat-cell class='table-col' *matCellDef="let pokeData">{{pokeData.dateUpdated | dateConvertor}}</td>
        </ng-container>

        <ng-container  matColumnDef="editBtnColumn">
            <th mat-header-cell class='table-col' *matHeaderCellDef>Edit Btn</th>
            <td mat-cell class='table-col' *matCellDef="let pokeData">
                <button mat-btn >Edit</button>
                <!-- <app-custom-button buttonText="Edit"></app-custom-button> -->
            </td>
        </ng-container>

        <ng-container  matColumnDef="deleteBtnColumn">
            <th mat-header-cell class='table-col' *matHeaderCellDef>Delete Btn</th>
            <td mat-cell class='table-col' *matCellDef="let pokeData">
                <button mat-btn>Delete</button>
                <!-- <app-custom-button buttonText="Edit"></app-custom-button> -->
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
        <tr mat-row *matRowDef="let myRowData; columns: columnsToDisplay"></tr>
    </table>


</body>